cURL
curl --request GET \
--url https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/series/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/series/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/apps/at-pt/v1/entry/{silo_entry_id}/series/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1d8ab49a-bd14-11ef-925f-325096b39f47",
"code": "FT SERIES-A",
"base": "SERIES-A",
"document_type": "FT",
"type": "N",
"validation_code": "AAJFJ3N5YS"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}AT Portugal
Get series details
Get details of a specific series by ID.
GET
/
apps
/
at-pt
/
v1
/
entry
/
{silo_entry_id}
/
series
/
{id}
cURL
Get details of a registered series by its ID, including the validation code provided by the Portuguese Tax Authority.
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests.
Example: Authorization: Bearer <token>
Path Parameters
Silo entry ID of the supplier to get the series for.
Example:
"347c5b04-cde2-11ed-afa1-0242ac120002"
UUID of the series to get the details for.
Example:
"1d8ab49a-bd14-11ef-925f-325096b39f47"
Response
Series details.
Series ID.
Example:
"1d8ab49a-bd14-11ef-925f-325096b39f47"
Full series code (document type + base code).
Example:
"FT SERIES-A"
Base code for the series.
Example:
"SERIES-A"
Document type for the series.
Example:
"FT"
Type of the series.
Example:
"N"
AT validation code for the series used to generate ATCUD codes.
Example:
"AAJFJ3N5YS"
Was this page helpful?